<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Page](./puppeteer.page.md) &gt; [setExtraHTTPHeaders](./puppeteer.page.setextrahttpheaders.md)

## Page.setExtraHTTPHeaders() method

<b>Signature:</b>

```typescript
setExtraHTTPHeaders(headers: Record<string, string>): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  headers | Record&lt;string, string&gt; |  |

<b>Returns:</b>

Promise&lt;void&gt;

